﻿using System.IO;
using System.Windows;
using System.Windows.Controls;

namespace FSNCleaner.Silverlight
{
    public partial class MainPage : UserControl
    {

        public MainPage()
        {
            InitializeComponent();
        }

        private void TextBox_Drop(object sender, DragEventArgs e)
        {
            FileInfo[] files = e.Data.GetData(DataFormats.FileDrop) as FileInfo[];
            if (files[0].Extension == ".ks")
            {
                try
                {
                    (this.DataContext as MainPageViewModel).CurrentFile = new Fichier(files[0].OpenText());
                }
                catch
                {
                    MessageBox.Show("Cannot read this file");
                }
            }
        }
    }
}
